import request6 from '@/utils/request6'
var reqApi = function(){
  return ({
    sfytLogin:function(param){
			return request6({
				url:  'api/configure',
				method: 'post',
				params:param
			})
		},
		sfytDiv:function(param){
			return request6({
				url:  'api/valve',
				method: 'post',
				params:param
			})
		},
		sfytEdit:function(param){
			return request6({
				url:  'api/update',
				method: 'post',
				params:param
			})
		},
		sfytUpdate:function(param){
			return request6({
				url:  'api/updatebase',
				method: 'post',
				params:param
			})
		},
		sfytDel:function(param){
			return request6({
				url:  'api/delete',
				method: 'get',
				params:param
			})
		},
		sfytOnline:function(param){
			return request6({
				url:  'api/operation',
				method: 'post',
				params:param
			})
		},
		sfytHis:function(param){
			return request6({
				url:  'api/record',
				method: 'post',
				params:param
			})
		},
		sfytReset:function(param){
			return request6({
				url:  'api/reset',
				method: 'get',
				params:param
			})
		},
		aiAdd:function(data){
			return request6({
				url:  'api/autoNew',
				method: 'post',
				data,
			})
		},
		aiShow:function(param){
			return request6({
				url:  'api/autoQuery',
				method: 'post',
				params:param
			})
		},
		aiDel:function(param){
			return request6({
				url:  'api/deteleAuto',
				method: 'get',
				params:param
			})
		},
		aiEdit:function(data){
			return request6({
				url:  'api/updateAuto',
				method: 'post',
				data
			})
		},
		aiEditTab:function(param){
			return request6({
				url:  'api/updateQuery',
				method: 'get',
				params:param
			})
		},
		
		aiopRecord:function(param){
			return request6({
				url:  'api/opRecord',
				method: 'post',
				params:param
			})
		},
		aiSearch:function(param){
			return request6({
				url:  'api/search',
				method: 'post',
				params:param
			})
		},
  })
}


export var reqApi = reqApi();
